function to create simple geometries, square, rectangle, triangle

2010-01-23 04:00 AM - Gerhard Spieles

Status: Closed

Priority: Low

Assignee:

Category: Digitising

Pull Request or Patch supplied:No Resolution: wontfix

Easy fix?: No Copied to github as #: 12449

Description

In practice, it is often necessary to create simple geometrtry polygons. It would be usefull, to create this geometries by mouse or defined

fields in a popup.

History

#1 - 2010-01-23 04:55 AM - Giovanni Manghi

It seems that the best chance to have them is to see them implemented in the "cad tools" plugin. Also asked here

http://lists.osgeo.org/pipermail/qgis-user/2010-January/007387.html

#2 - 2010-01-24 11:25 PM - luca76 -

cad tools plugin doesn't have those functions...

http://www.catais.org/qgis/cadtools/

#3 - 2010-01-25 08:25 AM - Giovanni Manghi

Replying to [comment:3 trapanator]:

cad tools plugin doesn't have those functions...

Yes. I didn't say it had those functions... I said that it would make sense to have those functions implemented into this plugin.

#4 - 2011-10-24 11:15 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to wontfix

- Assignee deleted (nobody -)

There are now 2 3rd party plugins that allow to digitize simple geometries: "rectangles, ovals and diamonds" and "rectangles and ovals digitizing". There

are also digitizing tools (also 3rd party plugins) that allow to digitize by choosing the coordinates of the nodes, or by choosing a starting point, an angle and

a distance.

This all together should cover the original request of this ticket. Reopen if you think otherwise.
